SDL_RenderLine(3)

NAME
SDL_RenderLine - Draw a line on the current rendering target at subpixel precision.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_RenderLine(SDL_Renderer *renderer, float x1, float y1, float x2, float y2);

FUNCTION PARAMETERS

renderer
    the renderer which should draw a line.

x1  the x coordinate of the start point.

y1  the y coordinate of the start point.

x2  the x coordinate of the end point.

y2  the y coordinate of the end point.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_RenderLines(3)